oracle.xdb.event

## Class XDBPath

- java.lang.Object
- - oracle.xdb.event.XDBPath

    public class XDBPath
    extends java.lang.Object

This class stores information about the path of a resource

Since:
  release specific (what release of product did this appear in)

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()` Returns the string representation of the path.
`XDBPath` `getParentPath(int level)` Returns the path of the parent.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getParentPath

    public XDBPath getParentPath(int level)

Returns the path of the parent. The level indicates the number of levels up the hierarchy. This value must be greater than zero. Level 1 means the immediate parent. If level exceeds the height of the tree then a null is returned.

Parameters:
  `level` - - The number of levels up the hierarchy
Returns:
  The path of the parent

#### getName

    public java.lang.String getName()

Returns the string representation of the path.

Returns:
  The path of the resource

Copyright © 2003, 2018, Oracle and/or its affiliates. All rights reserved.